Page MenuHomePhabricator

Extend HTMLUserTextField to allow IP address ranges
Closed, ResolvedPublic

Description

Extend HTMLUserTextField to allow IP address ranges. (Or create a new field, or something.)

SpecialBlock and the IP class contain a ton of code for validating these things.

Event Timeline

matmarex created this task.Jul 27 2015, 3:26 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Low.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-HTMLForm.
matmarex added subscribers: Aklapper, matmarex, Florian, Legoktm.
matmarex removed matmarex as the assignee of this task.Aug 24 2015, 4:19 PM
Florian claimed this task.Aug 25 2015, 3:36 PM

Change 233762 had a related patch set uploaded (by Florianschmidtwelzow):
Enable IP ranges in HTMLUserTextField

https://gerrit.wikimedia.org/r/233762

Change 233762 merged by jenkins-bot:
[mediawiki/core@master] Enable IP ranges in HTMLUserTextField

https://gerrit.wikimedia.org/r/233762

SamanthaNguyen closed this task as Resolved.Oct 2 2017, 10:59 AM
SamanthaNguyen removed a project: Patch-For-Review.
SamanthaNguyen removed a subscriber: gerritbot.